.. _basic:

Getting started with Psycopg 3
==============================

This section of the documentation will explain :ref:`how to install Psycopg
<installation>` and how to perform normal activities such as :ref:`querying
the database <usage>` or :ref:`loading data using COPY <copy>`.

.. important::

    If you are familiar with psycopg2 please take a look at
    :ref:`from-psycopg2` to see what is changed.

.. toctree::
    :maxdepth: 2
    :caption: Contents:

    install
    usage
    params
    adapt
    pgtypes
    transactions
    copy
    from_pg2
